package com.red.circle.console.app.service.app.sys;

import com.red.circle.other.inner.model.cmd.user.SysRegionCmd;
import com.red.circle.other.inner.model.cmd.user.SysRegionConfigQryCmd;
import com.red.circle.other.inner.model.dto.user.reigon.RegionConfigDTO;
import java.util.List;

/**
 * 区域.
 *
 * @author pengshigang on 2022/12/5
 */
public interface SysRegionConfigBackService {

  /**
   * 新增区域
   */
  void add(SysRegionCmd config);

  /**
   * 修改区域
   */
  void update(SysRegionCmd config);

  /**
   * 清理区域提现.
   */
  void resetWithdrawal(Long regionId);

  /**
   * 列表查询
   */
  List<RegionConfigDTO> listByCondition(SysRegionConfigQryCmd query);

}
